extern   double   Lots        = 0.1;
extern   int      StopLoss    = 100;
extern   int      TakeProfit  = 100;
extern   int      Slippage    = 2;

extern   bool     MoreOrders        = False;

extern   bool     Closeforstrag10   = True;
extern   bool     Closeforstrag55   = True;
extern   bool     Closevarmov       = True;

datetime TimeLastBar;

int      Ticket, Trend;

int start()
{
   if (TimeLastBar != Time[0])
   {
      TimeLastBar = Time[0];
      
      double forstrag10 = iCustom(Symbol(), 0, "forstrag1", 10, 0, 1);
      double forstrag55 = iCustom(Symbol(), 0, "forstrag1", 55, 0, 1);
      double varmov1    = iCustom(Symbol(), 0, "varmov", 50, 15, 10, 1.0, 0.1, False, "", 0, 1);
      double varmov2    = iCustom(Symbol(), 0, "varmov", 50, 15, 10, 1.0, 0.1, False, "", 0, 2);
      
      if (Trend > 0 && Ticket > 0)
         if ((Closeforstrag10 && forstrag10 < 0) ||
             (Closeforstrag55 && forstrag55 < 0) ||
             (Closevarmov     && varmov1 < varmov2))
            if (OrderSelect(Ticket, SELECT_BY_TICKET))
               if (OrderCloseTime() == 0)
               {
                  if (OrderClose(Ticket, Lots, Bid, Slippage))
                     Ticket = 0;
               }
               else
                  Ticket = 0;
      if (Trend < 0 && Ticket > 0)
         if ((Closeforstrag10 && forstrag10 > 0) ||
             (Closeforstrag55 && forstrag55 > 0) ||
             (Closevarmov     && varmov1 > varmov2))
            if (OrderSelect(Ticket, SELECT_BY_TICKET))
               if (OrderCloseTime() == 0)
               {
                  if (OrderClose(Ticket, Lots, Ask, Slippage))
                     Ticket = 0;
               }
               else
                  Ticket = 0;
      if (MoreOrders && Ticket == 0 && Trend != 0)
         Trend = 0;
      
      if (Trend <= 0 && forstrag10 > 0 && forstrag55 > 0 && varmov1 > varmov2)
      {
         Ticket = OrderSend(Symbol(), OP_BUY,  Lots, Ask, Slippage, Ask-StopLoss*Point, Ask+TakeProfit*Point);
         Trend = +1;
      }
      if (Trend >= 0 && forstrag10 < 0 && forstrag55 < 0 && varmov1 < varmov2)
      {
         Ticket = OrderSend(Symbol(), OP_SELL, Lots, Bid, Slippage, Bid+StopLoss*Point, Bid-TakeProfit*Point);
         Trend = -1;
      }
   }
}